Field NationDeveloper Platform
Field NationDeveloper Platform
IntroductionQuick StartAPI Playground

Getting Started

API Reference

People

UsersProvidersTalent PoolsTalent Pool GroupsService Territories

Organization

ClientsProjectsLocations

Configuration

TemplatesTypes of WorkCompany
Resources

Talent Pools

Individual talent pools containing providers with custom attributes.


Talent Pools

A Talent Pool is a curated list of providers (e.g., "Tier 1 Cabling Techs"). Talent pools are organized within Talent Pool Groups.

Hierarchy

Talent Pool Group (Container)
├── Talent Pool (Tier 1)
│   ├── Provider A
│   └── Provider B
├── Talent Pool (Tier 2)
│   └── Provider C
└── Talent Pool (General)
    └── Provider D

Provider Attributes

Each provider in a talent pool can have custom attributes (e.g., pay rate, priority level).

List Provider Attributes

GET /talent-pools/{talent_pool_id}/providers/{provider_id}/attributes

Parameters:

  • limit - Number of results per page
  • sort_by - Field to sort by
  • sort_direction - asc or desc

Create Provider Attributes

POST /talent-pools/{talent_pool_id}/providers/{provider_id}/attributes

{
  "attributes": [
    {
      "name": "pay_rate",
      "value": "65.00"
    },
    {
      "name": "priority",
      "value": "high"
    }
  ]
}

Update Provider Attributes

PUT /talent-pools/{talent_pool_id}/providers/{provider_id}/attributes/{attribute_uuid}

{
  "value": "75.00"
}

PUT /talent-pools/{talent_pool_id}/providers/{provider_id}/attributes

{
  "attributes": [
    { "id": "uuid-1", "value": "75.00" },
    { "id": "uuid-2", "value": "critical" }
  ]
}

Delete Provider Attribute

DELETE /talent-pools/{talent_pool_id}/providers/{provider_id}/attributes/{attribute_uuid}

Talent pools are typically created and managed in the Field Nation UI. The API is primarily used for managing provider attributes and automating pool membership.

Related Resources

  • Talent Pool Groups - Managing groups of talent pools
  • Providers - Provider profiles and routing

Last updated on

Providers

Finding and working with service providers in the marketplace.

Talent Pool Groups

Manage groups containing multiple talent pools.

On this page

Talent Pools
Hierarchy
Provider Attributes
List Provider Attributes
Create Provider Attributes
Update Provider Attributes
Delete Provider Attribute
Related Resources